SDL_GetHintBoolean(3)

NAME
SDL_GetHintBoolean - Get the boolean value of a hint variable.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GetHintBoolean(const char *name, SDL_bool default_value);

FUNCTION PARAMETERS

name
    the name of the hint to get the boolean value from

default_value
    the value to return if the hint does not exist

RETURN VALUE
Returns the boolean value of a hint or the provided default value if the hint does not exist.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetHint(3), SDL_SetHint(3)